package com.yeejoin.amos.boot.module.elevator.flc.api.service;


import com.yeejoin.amos.boot.module.elevator.flc.api.dto.UnitInfoApproveDto;
import com.yeejoin.amos.boot.module.elevator.flc.api.dto.UnitInfoDto;
import com.yeejoin.amos.boot.module.elevator.flc.api.entity.UnitInfo;
import com.yeejoin.amos.boot.module.elevator.flc.api.entity.UnitInfoChange;

import java.util.List;

/**
 * 企业信息表接口类
 *
 * @author system_generator
 * @date 2021-11-11
 */
public interface IUnitInfoService {

    /**
     * 审批企业注册信息
     * @param approveDto
     * @return
     */
    UnitInfoDto approve(UnitInfoApproveDto approveDto);

    UnitInfoDto getDtoById(Long sequenceNbr);

    UnitInfoDto getUnitDtoById(Long sequenceNbr);

    UnitInfoDto unitInfoToDto(UnitInfo source);

    UnitInfoDto unitChangeInfoToDto(UnitInfoChange source);

    UnitInfoDto getDtoByOrgId(Long sequenceNbr);

    UnitInfoDto changeUnInfo(UnitInfoDto model);

    List<UnitInfoDto> getInspectionUnit();

    List<UnitInfoDto> getAllUnit();

    List<UnitInfoDto> getUseUnit(String unitType, String address, String orgName, String organizationCode);

    Boolean addQRcode();
}
